<?php
if (!defined('ABSPATH')) exit;
?>

<div class="wrap">
    <h1><?php _e('导入OPML', 'jefrssfriend'); ?></h1>
    
    <?php
    // 显示错误信息
    if (isset($_GET['error'])) {
        $error_messages = array(
            'upload' => '文件上传失败',
            'type' => '文件类型不正确，请上传OPML或XML文件',
            'parse' => 'OPML文件解析失败'
        );
        $error_message = isset($error_messages[$_GET['error']]) ? $error_messages[$_GET['error']] : '导入失败';
        echo '<div class="notice notice-error"><p>' . esc_html($error_message) . '</p></div>';
    }
    
    // 显示成功信息
    if (isset($_GET['success']) && $_GET['success'] == '1') {
        $imported = isset($_GET['imported']) ? absint($_GET['imported']) : 0;
        echo '<div class="notice notice-success"><p>导入成功！共导入 ' . $imported . ' 个RSS源。</p></div>';
    }
    ?>
    
    <div class="jefrss-import-section">
        <h2><?php _e('导入OPML', 'jefrssfriend'); ?></h2>
        <p class="description">
            <?php _e('从其他RSS阅读器导入OPML格式的订阅源。', 'jefrssfriend'); ?>
        </p>
        
        <form method="post" action="<?php echo admin_url('admin-post.php'); ?>" enctype="multipart/form-data">
            <input type="hidden" name="action" value="import_rss_opml">
            <?php wp_nonce_field('jefrssfriend-admin'); ?>
            
            <table class="form-table">
                <tr>
                    <th scope="row">
                        <label for="opml-file"><?php _e('OPML文件', 'jefrssfriend'); ?></label>
                    </th>
                    <td>
                        <input type="file" id="opml-file" name="opml_file" accept=".opml,.xml,text/xml,application/xml" required>
                        <p class="description">支持 .opml 和 .xml 格式文件</p>
                    </td>
                </tr>
            </table>
            
            <p class="submit">
                <button type="submit" class="button button-primary">
                    <?php _e('开始导入', 'jefrssfriend'); ?>
                </button>
            </p>
        </form>
    </div>
    
    <!-- 导出OPML -->
    <div class="jefrss-export-section">
        <h2><?php _e('导出OPML', 'jefrssfriend'); ?></h2>
        <p class="description">
            <?php _e('导出所有RSS源为OPML格式，可用于备份或导入其他RSS阅读器。', 'jefrssfriend'); ?>
        </p>
        
        <form method="post" action="<?php echo admin_url('admin-post.php'); ?>">
            <input type="hidden" name="action" value="export_rss_opml">
            <?php wp_nonce_field('jefrssfriend-export'); ?>
            
            <p class="submit">
                <button type="submit" class="button button-primary">
                    <?php _e('导出OPML', 'jefrssfriend'); ?>
                </button>
            </p>
        </form>
    </div>
    
    <div class="jefrss-tips">
        <h3><?php _e('支持的RSS阅读器：', 'jefrssfriend'); ?></h3>
        <ul>
            <li>Feedly</li>
            <li>Inoreader</li>
            <li>NewsBlur</li>
            <li>The Old Reader</li>
            <li>FreshRSS</li>
            <li>Tiny Tiny RSS</li>
            <li><?php _e('...等支持OPML格式的读器', 'jefrssfriend'); ?></li>
        </ul>
    </div>
</div> 